import { Middleware } from 'redux';
import { History } from 'history';
import { InjectedReducers } from './reducers.js';
declare let rootReducer: import("redux").Reducer<import("redux").CombinedState<{
    waitMessage: import("./wait-message/reducer.js").WaitMessageState;
    error: import("./error/index.js").ErrorState;
    breakpoint: import("./breakpoint/index.js").BreakpointState;
    liveMessage: import("./live-message/index.js").LiveMessageState;
}>, import("redux").AnyAction | {
    payload: import("./wait-message/reducer.js").WaitMessageState;
    type: string;
} | {
    payload: import("./breakpoint/index.js").Breakpoints;
    type: string;
}>;
export type RootState = ReturnType<typeof rootReducer>;
export declare const setStore: <T>(store: T) => void;
export declare const getStore: () => unknown;
type MiddlewareConfig = {
    thunk?: boolean;
};
export declare const createAppStore: (initialState: RootState | undefined, history: History, middlewareConfig?: MiddlewareConfig, injectedReducers?: InjectedReducers) => import("@reduxjs/toolkit/dist/configureStore.js").ToolkitStore<import("redux").EmptyObject & {
    waitMessage: import("./wait-message/reducer.js").WaitMessageState;
    error: import("./error/index.js").ErrorState;
    breakpoint: import("./breakpoint/index.js").BreakpointState;
    liveMessage: import("./live-message/index.js").LiveMessageState;
}, import("redux").AnyAction | {
    payload: import("./wait-message/reducer.js").WaitMessageState;
    type: string;
} | {
    payload: import("./breakpoint/index.js").Breakpoints;
    type: string;
}, import("@reduxjs/toolkit").MiddlewareArray<[import("@reduxjs/toolkit").ListenerMiddleware<unknown, import("@reduxjs/toolkit").ThunkDispatch<unknown, unknown, import("redux").AnyAction>, unknown>, import("@reduxjs/toolkit").ThunkMiddleware<import("redux").CombinedState<{
    waitMessage: import("./wait-message/reducer.js").WaitMessageState;
    error: import("./error/index.js").ErrorState;
    breakpoint: import("./breakpoint/index.js").BreakpointState;
    liveMessage: import("./live-message/index.js").LiveMessageState;
}>, import("redux").AnyAction>, ...(import("redux-saga").SagaMiddleware<object> | Middleware<any, any, import("redux").Dispatch<import("redux").AnyAction>>)[]]>>;
export type AppStore = ReturnType<typeof createAppStore>;
export {};
